XMLTableDefinition (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.swing
Class XMLTableDefinition

    java.lang.Object
      org.dom4j.swing.XMLTableDefinition

All Implemented Interfaces:
  Serializable, org.jaxen.VariableContext

public class XMLTableDefinition
extends Object
implements Serializable, org.jaxen.VariableContext

`XMLTableDefinition` represents a table definition based on XPath expression evaluated on an XML document.

Version:
  $Revision: 1.8 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`XMLTableDefinition()`

Method Summary
`void` | `addColumn(String name, String expression)`
`void` | `addColumn(String name, String expression, int type)`
`void` | `addColumn(XMLTableColumnDefinition column)`
`void` | `addColumnWithXPathName(String columnNameXPathExpression, String expression, int type)`
`void` | `addNumberColumn(String name, String expression)`
`void` | `addStringColumn(String name, String expression)`
`void` | `clear()`
`protected void` | `clearCaches()`
`protected XPath` | `createColumnXPath(String expression)`
`protected XPath` | `createXPath(String expression)`
`XMLTableColumnDefinition` | `getColumn(int index)`
`XMLTableColumnDefinition` | `getColumn(String columnName)`
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`String` | `getColumnName(int columnIndex)` DOCUMENT ME!
`XPath` | `getColumnNameXPath(int columnIndex)` DOCUMENT ME!
`XPath` | `getColumnXPath(int columnIndex)` DOCUMENT ME!
`XPath` | `getRowXPath()` Getter for property rowXPath.
`Object` | `getValueAt(Object row, int columnIndex)`
`Object` | `getVariableValue(String namespaceURI, String prefix, String localName)`
`protected void` | `handleException(Exception e)`
`static XMLTableDefinition` | `load(Document definition)` Loads an XML table definition from an XML definition document
`static XMLTableDefinition` | `load(Element definition)` Loads an XML table definition from an XML definition document
`void` | `removeColumn(XMLTableColumnDefinition column)`
`void` | `setRowExpression(String xpath)`
`void` | `setRowXPath(XPath rowXPath)` Setter for property rowXPath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLTableDefinition

    public XMLTableDefinition()

Method Detail

### load

    public static XMLTableDefinition load(Document definition)

  Loads an XML table definition from an XML definition document

  Parameters:
    `definition` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### load

    public static XMLTableDefinition load(Element definition)

  Loads an XML table definition from an XML definition document

  Parameters:
    `definition` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getColumnClass

    public Class getColumnClass(int columnIndex)

### getColumnCount

    public int getColumnCount()

### getColumnName

    public String getColumnName(int columnIndex)

  DOCUMENT ME!

  Parameters:
    `columnIndex` - DOCUMENT ME!
  Returns:
    the static column name. This is used if there is no columnNameXPath

### getColumnXPath

    public XPath getColumnXPath(int columnIndex)

  DOCUMENT ME!

  Parameters:
    `columnIndex` - DOCUMENT ME!
  Returns:
    the XPath expression used to evaluate the value of cells in this column

### getColumnNameXPath

    public XPath getColumnNameXPath(int columnIndex)

  DOCUMENT ME!

  Parameters:
    `columnIndex` - DOCUMENT ME!
  Returns:
    the XPath expresssion used to create the column name, if there is one or null if there is no XPath expression to name the column.

### getValueAt

    public Object getValueAt(Object row,
                             int columnIndex)

### addColumn

    public void addColumn(String name,
                          String expression)

### addColumn

    public void addColumn(String name,
                          String expression,
                          int type)

### addColumnWithXPathName

    public void addColumnWithXPathName(String columnNameXPathExpression,
                                       String expression,
                                       int type)

### addStringColumn

    public void addStringColumn(String name,
                                String expression)

### addNumberColumn

    public void addNumberColumn(String name,
                                String expression)

### addColumn

    public void addColumn(XMLTableColumnDefinition column)

### removeColumn

    public void removeColumn(XMLTableColumnDefinition column)

### clear

    public void clear()

### getColumn

    public XMLTableColumnDefinition getColumn(int index)

### getColumn

    public XMLTableColumnDefinition getColumn(String columnName)

### getRowXPath

    public XPath getRowXPath()

  Getter for property rowXPath.

  Returns:
    Value of property rowXPath.

### setRowXPath

    public void setRowXPath(XPath rowXPath)

  Setter for property rowXPath.

  Parameters:
    `rowXPath` - New value of property rowXPath.

### setRowExpression

    public void setRowExpression(String xpath)

### getVariableValue

    public Object getVariableValue(String namespaceURI,
                                   String prefix,
                                   String localName)

  Specified by:
    `getVariableValue` in interface `org.jaxen.VariableContext`

### createXPath

    protected XPath createXPath(String expression)

### createColumnXPath

    protected XPath createColumnXPath(String expression)

### clearCaches

    protected void clearCaches()

### handleException

    protected void handleException(Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.